Package com.tibco.patterns.grouping

## Interface IGroupingProgress

-     public interface IGroupingProgress

  Implement this interface to control progress messages are handled.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `PairSkipped​(InputPair p, SkipReason why)` | Called when a pair is skipped.
    `void` | `PairsProcessed​(int num_pairs, int groups_in_memory, int pairs_in_memory)` | Called every time the grouping finishes processing a specific number of pairs.
    `void` | `PercentCompleted​(float percent_complete, int groups_in_memory, int pairs_in_memory)` | Called every time the grouping passes a percentage milestone.

- - ### Method Detail

    - #### PairSkipped

          void PairSkipped​(InputPair p,
                           SkipReason why)

      Called when a pair is skipped.
      Parameters:
        `p` - the pair that was skipped.
        `why` - the reason the pair was skipped.

    - #### PercentCompleted

          void PercentCompleted​(float percent_complete,
                                int groups_in_memory,
                                int pairs_in_memory)

      Called every time the grouping passes a percentage milestone.
      Parameters:
        `percent_complete` - percentage of the grouping that is complete.
        `groups_in_memory` - number of groups currently held in memory.
        `pairs_in_memory` - number of pairs currently held in memory.

    - #### PairsProcessed

          void PairsProcessed​(int num_pairs,
                              int groups_in_memory,
                              int pairs_in_memory)

      Called every time the grouping finishes processing a specific number of pairs.
      Parameters:
        `num_pairs` - number of pairs that are done being processed.
        `groups_in_memory` - number of groups currently held in memory.
        `pairs_in_memory` - number of pairs currently held in memory.